<wo:Wrapper selectedTabId = "enseignantsstatutaires" selectedItemId = "$selectedItemId">
  <div id = "contenu">
    <fieldset style = "height:87%">
      <div class = "container">
        <!-- Titre -->
        <div class = "row" align = "left">
          <wo:form>
            <wo:condition condition = "$session.pagePrecedente">
             <wo:CktlSubmitButton type = "previous" action = "$session.pagePrecedente" text = "Retour" />
            </wo:condition>
          </wo:form>
        </div>
        <h2>
          <wo:string value = "$session.localizer.FicheService.titre" />
          <wo:string value = "$etatFicheService" />
        </h2>
        <div class = "row">
          <div class = "span12">
            <table style = "width: 100%">
              <tr>
                <td rowspan = "2" class = "center" style = "vertical-align : top;">
                  <h3 style = "margin : 0px;">Profil</h3>
                </td>
                <td rowspan = "2">&nbsp;</td>
                <td class = "left" style = "width : 5%; white-space : nowrap;">Nom / Pr&eacute;nom&nbsp;:</td>
                <td class = "left bigger">
                  <wo:string value = "$editedObject.toIndividu.nomAffichage.toUpperCase" />
                  <wo:string value = "$editedObject.toIndividu.prenomAffichage" />
                </td>
                <td class = "left" style = "width : 5%;">Corps&nbsp;/&nbsp;Contrat&nbsp;:&nbsp;</td>
                <td class = "left"><wo:string value = "$libelleCorps" /></td>
              </tr>
              <tr>
                <td class = "left">Composante&nbsp;:</td>
                <td class = "left"><wo:string value = "$codeComposante" /></td>
                
                <td class = "left">Statut&nbsp;:</td>
                <td class = "left"><wo:string value = "$statut" /></td>
              </tr>
              <wo:if condition = "$codeDepartementEnseignement">
                <tr>
                  <td colspan = "2" class = "bigger">&nbsp;</td>
                  <td class = "left">D&eacute;partement&nbsp;:</td>
                  <td class = "left"><wo:string value = "$codeDepartementEnseignement" /></td>
                  <wo:if condition = "$presenceTypePopulation">                    
                    <td class = "left">Type&nbsp;population&nbsp;:</td>
                    <td class = "left"><wo:string value = "$libelleTypePopulation" /></td>
                  </wo:if>
              </tr>
              </wo:if> 
              <wo:else>
                  <wo:if condition = "$presenceTypePopulation">
                	<tr>
                  <td colspan = "4" class = "bigger">&nbsp;</td>                                  
                    <td class = "left">Type&nbsp;population&nbsp;:</td>
                    <td class = "left"><wo:string value = "$libelleTypePopulation" /></td>
              		</tr>
                  </wo:if>
              </wo:else>                           
               <wo:if condition = "$historiquesPresent">
              	<tr> 
              	<td/>             
              	<td colspan = "12" class="right">
              	 <wo:if condition = "$historiqueNmoinsUnPresent">
               		<wo:CktlReportingExecButton action = "$imprimerFicheNmoinsUn" text = "$libelleHistoriqueNmoinsUn" reporterProgress = "$generateurPDFCtrl.listener" reporter = "$generateurPDFCtrl.reporter" reportFilename = "$generateurPDFCtrl.reportFilename" resultMimeType = "application/pdf"/>
               	</wo:if>	
               	 <wo:if condition = "$historiqueNmoinsDeuxPresent">
               		<wo:CktlReportingExecButton action = "$imprimerFicheNmoinsDeux" text = "$libelleHistoriqueNmoinsDeux" reporterProgress = "$generateurPDFCtrl.listener" reporter = "$generateurPDFCtrl.reporter" reportFilename = "$generateurPDFCtrl.reportFilename" resultMimeType = "application/pdf"/>
              	 </wo:if>
              	 </td>
              	</tr>
              </wo:if>
            </table>
          </div>
        </div>
        <hr />
        <div class = "row">
          <div class = "span4 separateurVerticalRightHauteurFixe">
            <wo:AjaxUpdateContainer id = "serviceHETD">
              <h3>Service en heures &eacute;quivalent TD</h3>(calcul <wo:string value = "$methodeCalcul" />)
              <table style = "width: 100%;">
                <tr>
                  <td class = "left">Service statutaire&nbsp;:</td>
                  <td class = "right"><wo:CktlNumber value = "$serviceStatutaire" /></td>
                </tr>
                <wo:if condition = "$autorisation.hasDroitUtilisationReportHeuresComplementaires">
                  <tr>
                    <td class = "left">Report ann&eacute;e ant&eacute;rieure&nbsp;:</td>
                    <td class = "right"><wo:CktlNumber value = "$reportAnneeAnterieureOppose" /></td>
                  </tr>
                </wo:if>
                <tr>
                  <td class = "left">Modalit&eacute;s de service&nbsp;:</td>
                  <td class = "right"><wo:CktlNumber value = "$totalModaliteServiceOppose" /></td>
                </tr>
                <tr>
                  <td class = "left">D&eacute;charges enregistr&eacute;es&nbsp;:</td>
                  <td class = "right"><wo:CktlNumber value = "$totalDechargesOppose" /></td>
                </tr>
                <tr>
                  <td class = "left">Minorations de service&nbsp;:</td>
                  <td class = "right"><wo:CktlNumber value = "$totalMinorationsOppose" /></td>
                </tr>
                <tr>
                  <td class = "left">Service d&ucirc;&nbsp;:</td>
                  <td class = "right bigger">
                    <span style = "border-top: solid 1px black;"><wo:CktlNumber value = "$serviceDu" /></span>
                  </td>
                </tr>
                <tr>
                  <td class = "left">Service pr&eacute;vu&nbsp;:</td>
                  <td class = "right bigger peche-colored-number"><wo:CktlNumber value = "$serviceAttribue" numberformat = "$app3DecimalesNumberFormat" /></td>
                </tr>
                <tr>
                  <td class = "left">&nbsp;&nbsp;dont REH&nbsp;:
                  <span class = "left bigger"><wo:CktlNumber value = "$rehAttribue" numberformat = "$app3DecimalesNumberFormat" /></span></td>
                </tr>
                <tr>
                  <td class = "left">HCOMP (pr&eacute;vues)&nbsp;:</td>
                  <td class = "right bigger peche-colored-number"><wo:CktlNumber value = "$hcompPrev" numberformat = "$app3DecimalesNumberFormat" /></td>
                </tr>
                <wo:if condition = "$isSurCircuitPrevisionnel" negate = "true">
                  <tr>
                    <td class = "left">Service r&eacute;alis&eacute;&nbsp;:</td>
                    <td class = "right bigger peche-colored-number"><wo:CktlNumber value = "$serviceRealise" numberformat = "$app3DecimalesNumberFormat"  /></td>
                  </tr>
                  <tr>
                  	<td class = "left">&nbsp;&nbsp;dont REH&nbsp;:
                    <span class = "left bigger "><wo:CktlNumber value = "$rehRealise" numberformat = "$app3DecimalesNumberFormat" /></span></td>
                  </tr>
                  <tr>
                    <td class = "left">HCOMP (r&eacute;alis&eacute;es)&nbsp;:</td>
                    <td class = "right bigger peche-colored-number"><wo:CktlNumber value = "$hcompRealise" numberformat = "$app3DecimalesNumberFormat" /></td>
                  </tr>
                  <wo:if condition = "$autorisation.hasDroitUtilisationRepartitionHeuresComplementaires">
                    <wo:form>
                      <wo:if condition = "$isSousServiceEtDroitReportOK">
                        <tr>
                          <td class = "left">Delta&nbsp;:</td>
                          <td class = "right bigger peche-colored-number"><wo:CktlNumber value = "$deltaRealise" numberformat = "$app3DecimalesNumberFormat" /></td>
                        </tr>
                        <tr>
                          <td colspan = "2">
                            <i>Sous-service</i>
                          </td>
                        </tr>
                        <tr>
                          <td class = "left">A reporter&nbsp;:</td>
                          <td class = "right">
                           <wo:textfield value = "$service.heuresAReporterAttribuees" size = "6" formatter = "$app3DecimalesFormatterNegatif" 
                           onChange = "this.value=this.value.replace('.',',');" style = "border-color:#BBD2E1; background-color: #F5FFFA" />
                          </td>
                        </tr>
                        <tr>
                          <td align = "center" colspan = "2">
                           <wo:CktlSubmitButton type = "validate" action = "$enregistrerRepartitionHComp" text = "Enregistrer" />
                          </td>
                        </tr>
                      </wo:if>
                      <wo:if condition = "$isHeuresComplementaires">
                        <tr>
                          <td colspan = "2">
                            <i>Heures compl&eacute;mentaires</i>
                          </td>
                        </tr>
                        <tr>
                          <td class = "left">A payer&nbsp;:</td>
                          <td class = "right">
                           <wo:textfield value = "$service.heuresAPayer" size = "6" formatter = "$app3DecimalesFormatter" 
                            onChange = "this.value=this.value.replace('.',',');" style = "border-color:#BBD2E1; background-color: #F5FFFA" />
                          </td>
                        </tr>
                        <wo:if condition = "$isHeuresPayeesNonNulles">
                    	<tr>
                      	  <td class = "left">Pay&eacute;es&nbsp;:</td>
                          <td class = "right"><wo:CktlNumber value = "$service.heuresPayees" numberformat = "$app3DecimalesNumberFormat" /> </td>
                       </tr>                        
                       </wo:if>
                        <wo:if condition = "$autorisation.hasDroitUtilisationReportHeuresComplementaires">
                          <tr>
                            <td class = "left">A reporter&nbsp;:</td>
                            <td class = "right">
                             <wo:textfield value = "$service.heuresAReporterAttribuees" size = "6" formatter = "$app3DecimalesFormatterNegatif" 
                              onChange = "this.value=this.value.replace('.',',');" style = "border-color:#BBD2E1; background-color: #F5FFFA" />
                            </td>
                          </tr>
                        </wo:if>
                        <tr>
                          <td class = "left">A titre gracieux&nbsp;:</td>
                          <td class = "right">
                           <wo:textfield value = "$service.heuresGratuites" size = "6" formatter = "$app3DecimalesFormatter" 
                            onChange = "this.value=this.value.replace('.',',');" style = "border-color:#BBD2E1; background-color: #F5FFFA" />
                          </td>
                        </tr>
                        <tr>
                          <td align = "center" colspan = "2">
                           <wo:CktlSubmitButton type = "validate" action = "$enregistrerRepartitionHComp" text = "Enregistrer" />
                          </td>
                        </tr>
                      </wo:if>
                    </wo:form>
                  </wo:if>
                  <wo:else>
                  	<tr>
                       <td colspan = "2"><i>Heures compl&eacute;mentaires&nbsp;</i></td>
                    </tr>
                    <tr>
                      <td class = "left">A payer&nbsp;:</td>
                      <td class = "right"><wo:CktlNumber value = "$service.heuresAPayer" numberformat = "$app3DecimalesNumberFormat" /> </td>
                    </tr>
                    <wo:if condition = "$isHeuresPayeesNonNulles">
                    <tr>
                      <td class = "left">Pay&eacute;es&nbsp;:</td>
                      <td class = "right"><wo:CktlNumber value = "$service.heuresPayees"  numberformat = "$app3DecimalesNumberFormat" /> </td>
                    </tr>
                    </wo:if>
                    <wo:if condition = "$autorisation.hasDroitUtilisationReportHeuresComplementaires">
                      <tr>
                        <td class = "left">A reporter&nbsp;:</td>
                        <td class = "right"><wo:CktlNumber value = "$service.heuresAReporterAttribuees" numberformat = "$app3DecimalesNumberFormat"  /></td>
                      </tr>
                    </wo:if>
                    <tr>
                      <td class = "left">A titre gracieux&nbsp;:</td>
                      <td class = "right"><wo:CktlNumber value = "$service.heuresGratuites" numberformat = "$app3DecimalesNumberFormat"/></td>
                    </tr>
                  </wo:else>
                </wo:if>
              </table>
            </wo:AjaxUpdateContainer>
          </div>
          <div class = "span4 separateurVerticalRightHauteurFixe">
            <wo:CktlPecheSyntheseVisaDemande demande = "$demande" editingContext= "$edc" />
            <!-- 
              <tr>
                <td colspan="2"><wo:CktlSubmitButton type = "add" text = "Envoi à l'agent comptable" /></td>
              </tr>
              -->
            <!-- .row -->
          </div>
          <div class = "span3">
            <h3>Commentaire sur cette fiche</h3>
            <wo:form>
              <div class = "control-group">
                <div class = "controls">
                 <wo:text value = "$service.commentaire" class = "span3" style = "height: 10em; border-color:#BBD2E1; background-color: #F5FFFA" />
                </div>
              </div>
              <wo:CktlSubmitButton type = "validate" action = "$enregistrerCommentaireFiche" text = "Enregistrer" />
            </wo:form>
            <wo:if condition = "$service.isSuiviPresent" >
            <br>
             <h3>Suivi</h3>
              <div class = "control-group">
                <div class = "controls">
                 <wo:text disabled="true" value = "$service.suivi" class = "span3" style = "height: 10em; border-color:#BBD2E1; background-color: #F5FFFA" />
                </div>
              </div>
             </wo:if>             
          	</div>          
          <!-- .offset1.span4 -->
        </div>
        <!-- .row -->
        <div class = "row">
          <div class = "span12"><hr /></div>
        </div>
        <div class = "row">
          <div class = "span12">
            <h3>R&eacute;ductions de service</h3>
            <wo:CktlPecheTableMinorationsService enseignant = "$editedObject" />
            <hr />
            <h3> R&eacute;partition REH hors offre de formation</h3>
	        <wo:CktlPecheTableRepartitionREHEnseignantStatutaire enseignant = "$editedObject" repartService = "$repartService" boutonsActifs = "$boutonsInactifsRepartitionService" />
	        <hr />
            <h3> R&eacute;partition Service</h3>
            <wo:CktlPecheTableRepartitionServiceEnseignantStatutaire enseignant = "$editedObject" repartService = "$repartService" boutonsActifs = "$boutonsInactifsRepartitionService" />
            <hr />
            <wo:form>
            <wo:conditional condition = "$hasDroitShowBoutonRefuserFiche">   
              <div><b> Motif si refus :</b><wo:text value = "$motifRefus" style = "height: 5em; width: 30%; border-color:#BBD2E1; background-color: #F5FFFA" /></div>
              <br>
        	</wo:conditional>  
            <wo:if condition = "$isIncidentEnCours">
             <h3  style = "color : red;">Attention, des informations importantes sur la fiche viennent d'être récemment mises à jour.</h3>
              <wo:if condition = "$hasDroitShowBoutonValiderFicheOuRefuserFiche"> 
               <wo:CktlSubmitButton type = "delete" action = "$reinitialiserCircuit" text = "Réinitialiser le circuit" disabled = "$boutonReinitFicheInactif" />
              </wo:if>
            </wo:if>
              <wo:conditional condition = "$hasDroitShowBoutonValiderFiche"> 
               <wo:CktlSubmitButton type = "validate" action = "$validerFiche" text = "$session.localizer.application.boutonValiderFiche" disabled = "$boutonValiderFicheInactif" />
              </wo:conditional>
              <wo:conditional condition = "$hasDroitShowBoutonRefuserFiche">
               <wo:CktlSubmitButton type = "delete" action = "$refuserFiche" text = "Refuser la fiche" disabled = "$boutonRefuserFicheInactif" />               
              </wo:conditional>              
               <wo:CktlReportingExecButton action = "$imprimerFiche" text = "Imprimer la fiche" reporterProgress = "$generateurPDFCtrl.listener" reporter = "$generateurPDFCtrl.reporter" reportFilename = "$generateurPDFCtrl.reportFilename" resultMimeType = "application/pdf"/>
            </wo:form>
          </div>
        </div>
        <!-- .row -->
      </div>
      <!-- .container -->
    </fieldset>
  </div>
</wo:Wrapper>